net.sf.jasperreports.engine

## Class SimpleReportContext

- java.lang.Object
- - net.sf.jasperreports.engine.SimpleReportContext

- All Implemented Interfaces:
    ReportContext

      public class SimpleReportContext
      extends java.lang.Object
      implements ReportContext

  Version:
    $Id: SimpleReportContext.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from interface net.sf.jasperreports.engine.ReportContext

      `REQUEST_PARAMETER_APPLICATION_DOMAIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleReportContext()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `containsParameter(java.lang.String parameterName)`
    `java.lang.String` | `getId()`
    `java.lang.Object` | `getParameterValue(java.lang.String parameterName)`
    `void` | `setParameterValue(java.lang.String parameterName, java.lang.Object value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleReportContext

          public SimpleReportContext()

  - ### Method Detail

    - #### getId

          public java.lang.String getId()

      Specified by:
        `getId` in interface `ReportContext`

    - #### getParameterValue

          public java.lang.Object getParameterValue(java.lang.String parameterName)

      Specified by:
        `getParameterValue` in interface `ReportContext`

    - #### setParameterValue

          public void setParameterValue(java.lang.String parameterName,
                               java.lang.Object value)

      Specified by:
        `setParameterValue` in interface `ReportContext`

    - #### containsParameter

          public boolean containsParameter(java.lang.String parameterName)

      Specified by:
        `containsParameter` in interface `ReportContext`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com